"use strict";
let ZX_NMS_BASE_API = "";
let BASE_API = "";
let CLOND_API = "";
let BXDD_API = "";
let PUTIN_API = "";
let AD_API = '';
const idx = process.argv.indexOf("test");
if (idx > 0) {
  ZX_NMS_BASE_API = '"http://apitest.nms.huolea.com"';
  BASE_API = '"http://cms.huolea.com:8888"';
  CLOND_API = '"http://apitest.nms.huolea.com"';
  BXDD_API = '"http://localhost:9311"';
  PUTIN_API = '"https://putinapi.zhangxindiet.com"';
  AD_API = '"http://adsptest.huolea.com"';
} else {
  ZX_NMS_BASE_API = '"http://api.nms.huolea.com"';
  BASE_API = '"http://cms.huolea.com"';
  CLOND_API = '"http://api.nms.huolea.com"';
  BXDD_API = '"https://data-api.zhangxinhulian.com"';
  PUTIN_API = '"https://putinapi.zhangxindiet.com"';
  AD_API = '"http://adsp.zhangxindiet.com"';
}
console.log("==============", BASE_API);
console.log("==============", ZX_NMS_BASE_API);
console.log("==============", CLOND_API);
console.log("==============", BXDD_API);
console.log("==============", AD_API);
module.exports = {
  NODE_ENV: '"production"',
  // BASE_API: '"https://easy-mock.com/mock/5950a2419adc231f356a6636/vue-admin"',
  BASE_API: BASE_API,
  ZX_NMS_BASE_API: ZX_NMS_BASE_API,
  CLOND_API: CLOND_API,
  BXDD_API: BXDD_API,
  PUTIN_API: PUTIN_API,
  AD_API: AD_API,
};
